mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

The class is exposed from all context attributes. The attributes contribute a property that resides in a context and enforces a specific policy for the objects created in that context. For more information about using attributes, see [<topic://cpconExtendingMetadataUsingAttributes>].

Identifies a context attribute.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method can add context properties directly to the property list in the interface. The default implementation in the class will add this to the context property list. Context attributes are free to override and can implement their own behavior. For example, they can add to the list a new class that implements the context property.

  Returns context properties to the caller in the given message.

  The to which to add the context properties.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added

  Returns a Boolean value indicating whether the specified context meets the context attribute's requirements.

  true if the passed in context is okay; otherwise, false.

  The context to check against the current context attribute. The construction call, parameters of which need to be checked against the current context.